5

I'm having problems using ´fastboot´ in high sierra. When I run the command:

fastboot devices

it tells me:

ERROR: Unable to create a plug-in (e00002be)

Now, I've googled a lot and a lot of different users seems to have this issue, since Mountain Lion. I've tried rebooting my machine, unplugging and plugging again my phone and running it as superuser, but no luck.

What can it be?

3

found this on the SDK site https://issuetracker.google.com/issues/64292422

Updated SDK found here https://developer.android.com/studio/releases/platform-tools.html

hope this helps.

  • I think this helped. It was a high Sierra problem, fixed with the latest version of the SDK. Thank you very much! – magicleon94 Oct 9 '17 at 7:49
  • 3
    Just tried this after downloading the lastest platform tools from Google. Still getting the same error. Running High Sierra – Tom Opgenorth Nov 1 '17 at 2:06
2

There's a problem with the fastboot application for OSX in the Android Platform Tools. Download the SDK from https://developer.android.com/studio/releases/platform-tools.html, but delete the fastboot application and replace it with the version found in Comment 8 at https://issuetracker.google.com/issues/64292422#comment8. This resolved the issue for me.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .